if (CMAKE_VERSION VERSION_LESS 3.0.2)
	message(FATAL_ERROR "MSL requires at least CMake version 3.0.2")
endif()

if (NOT MSL_FIND_COMPONENTS AND NOT ON)
	set(MSL_NOT_FOUND_MESSAGE "The MSL package requires at least one component")
	set(MSL_FOUND OFF)
	return()
endif()

get_filename_component(_MSL_InstallPrefix ${CMAKE_CURRENT_LIST_DIR} ABSOLUTE)

include(CMakeFindDependencyMacro)
set(_MSL_NOTFOUND_MESSAGE)
foreach(module ${MSL_FIND_COMPONENTS})
	find_dependency(MSL${module} 1.7.5 EXACT)
	if (NOT MSL${module}_FOUND)
		if (MSL_FIND_REQUIRED_${module})
			set(_MSL_NOTFOUND_MESSAGE "${_MSL_NOTFOUND_MESSAGE}Failed to find MSL component \"${module}\" config file at \"${_MSL_InstallPrefix}/MSL${module}/MSL${module}Config.cmake\"\n")
		elseif(NOT MSL_FIND_QUIETLY)
			message(WARNING "Failed to find MSL component \"${module}\" config file at \"${_MSL_InstallPrefix}/MSL${module}/MSL${module}Config.cmake\"")
		endif()
	endif()
endforeach()

if (_MSL_NOTFOUND_MESSAGE)
	set(MSL_NOT_FOUND_MESSAGE "${_MSL_NOTFOUND_MESSAGE}")
	set(MSL_FOUND OFF)
endif()

include(${CMAKE_CURRENT_LIST_DIR}/mslc-targets.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/mslb-extract-targets.cmake)
